Unable to update/reinstall on Fedora 37

Forums / NoMachine for Linux / Unable to update/reinstall on Fedora 37

Tagged: 

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #41689
    astromechanic
    Participant

    [root@hestia ~]# rpm -ivh nomachine-enterprise-desktop_8.2.3_4_x86_64.rpm
    […]

    1:nomachine-enterprise-desktop-8.2.################################# [100%]
    NX> 700 Starting installation at: Mon, 28 Nov 2022 14:52:19.
    NX> 700 Using installation profile: Fedora.
    NX> 700 Installation log is: /usr/NX/var/log/nxinstall.log.
    NX> 700 Installing nxrunner version: 8.2.3.
    NX> 700 Installing nxplayer version: 8.2.3.
    NX> 700 Installing nxnode version: 8.2.3.
    /usr/NX/scripts/setup/nxnode: line 16260: [: too many arguments.
    NX> 700 Installing nxserver version: 8.2.3.
    NX> 700 Installing nxwebplayer version: 8.2.3.
    NX> 700 Installation completed at: Mon, 28 Nov 2022 14:52:39.
    NX> 700 NoMachine was configured to run the following services:
    NX> 700 NX service on port: 4000
    NX> 700 HTTPS service on port: 4443
    uavc:  op=load_policy lsm=selinux seqno=8 res=1

    The problem with FC37 is that polkit has been updated to produce an unexpected version number:

    old Fedora Core 36:
    $ pkcheck –version
    pkcheck version 0.120

    new Fedora Core 37:
    $ pkcheck –version
    pkcheck version 121

    Because of this, the extraction of the polkit version at line 16260 of /usr/NX/scripts/setup/nxnode fails:

    polkit_version=$(${PKCHECKCOMMAND} –version | ${CUTCOMMAND} -d “.” -f 2)

    #41845
    Britgirl
    Participant

    Hi, thanks for taking the time to report this. Our tests also reproduced this issue and it will be fixed in the next maintenance.

    Trouble Report is documented here: https://kb.nomachine.com/TR09T10609

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.